libglom-1.20: Glom::LayoutItem_FieldSummary Class Reference

libglom-1.20 1.20.8

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions
Glom::LayoutItem_FieldSummary Class Reference
Inheritance diagram for Glom::LayoutItem_FieldSummary:
[legend]
Collaboration diagram for Glom::LayoutItem_FieldSummary:
[legend]

List of all members.

## Public Types
enum | summaryType { TYPE_INVALID, TYPE_SUM, TYPE_AVERAGE, TYPE_COUNT }
## Public Member Functions
| LayoutItem_FieldSummary ()
| LayoutItem_FieldSummary (const LayoutItem_FieldSummary& src)
LayoutItem_FieldSummary& | operator= (const LayoutItem_FieldSummary& src)
virtual | ~LayoutItem_FieldSummary ()
virtual LayoutItem* | clone () const
| Create a new copied instance.
bool | operator== (const LayoutItem_FieldSummary& src) const
virtual Glib::ustring | get_part_type_name () const
virtual Glib::ustring | get_report_part_id () const
| Gets the node name to use for the intermediate XML, (and usually, the CSS style class to use for the resulting HTML).
summaryType | get_summary_type () const
void | set_summary_type (summaryType summary_type)
Glib::ustring | get_summary_type_sql () const
| Get the SQL command to use for this summary.
void | set_summary_type_from_sql (const Glib::ustring& summary_type)
| This is used when loading the XML document, because we use get_summary_type_sql() when writing it.
void | set_field (const sharedptr< LayoutItem_Field >& field)
virtual Glib::ustring | get_title () const
| Get the user-visible title for the field, in the user's current locale.
virtual Glib::ustring | get_title_or_name () const
| Get the user-visible title for the field, in the user's current locale.
virtual Glib::ustring | get_layout_display_name () const
| Get a text representation for the field, such as Relationship::FieldName.
Glib::ustring | get_layout_display_name_field () const
## Static Public Member Functions
static Glib::ustring | get_summary_type_name (summaryType summary_type)

## Member Enumeration Documentation

enum Glom::LayoutItem_FieldSummary::summaryType

Enumerator:

  TYPE_INVALID |
  TYPE_SUM |
  TYPE_AVERAGE |
  TYPE_COUNT |

## Constructor & Destructor Documentation

Glom::LayoutItem_FieldSummary::LayoutItem_FieldSummary | ( |  | ) |

Glom::LayoutItem_FieldSummary::LayoutItem_FieldSummary | ( | const LayoutItem_FieldSummary& | src | ) |

virtual Glom::LayoutItem_FieldSummary::~LayoutItem_FieldSummary | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual LayoutItem* Glom::LayoutItem_FieldSummary::clone | ( |  | ) | const`[virtual]`

Create a new copied instance.

This allows us to deep-copy a list of LayoutItems.

Reimplemented from Glom::LayoutItem_Field.

virtual Glib::ustring Glom::LayoutItem_FieldSummary::get_layout_display_name | ( |  | ) | const`[virtual]`

Get a text representation for the field, such as Relationship::FieldName.

Reimplemented from Glom::LayoutItem_Field.

Glib::ustring Glom::LayoutItem_FieldSummary::get_layout_display_name_field | ( |  | ) | const

virtual Glib::ustring Glom::LayoutItem_FieldSummary::get_part_type_name | ( |  | ) | const`[virtual]`

Reimplemented from Glom::LayoutItem_Field.

virtual Glib::ustring Glom::LayoutItem_FieldSummary::get_report_part_id | ( |  | ) | const`[virtual]`

Gets the node name to use for the intermediate XML, (and usually, the CSS style class to use for the resulting HTML).

Reimplemented from Glom::LayoutItem_Field.

summaryType Glom::LayoutItem_FieldSummary::get_summary_type | ( |  | ) | const

static Glib::ustring Glom::LayoutItem_FieldSummary::get_summary_type_name | ( | summaryType | summary_type | ) | `[static]`

Glib::ustring Glom::LayoutItem_FieldSummary::get_summary_type_sql | ( |  | ) | const

Get the SQL command to use for this summary.

virtual Glib::ustring Glom::LayoutItem_FieldSummary::get_title | ( |  | ) | const`[virtual]`

Get the user-visible title for the field, in the user's current locale.

This returns the name if no title is set.

Reimplemented from Glom::LayoutItem_Field.

virtual Glib::ustring Glom::LayoutItem_FieldSummary::get_title_or_name | ( |  | ) | const`[virtual]`

Get the user-visible title for the field, in the user's current locale.

Reimplemented from Glom::LayoutItem_Field.

LayoutItem_FieldSummary& Glom::LayoutItem_FieldSummary::operator= | ( | const LayoutItem_FieldSummary& | src | ) |

bool Glom::LayoutItem_FieldSummary::operator== | ( | const LayoutItem_FieldSummary& | src | ) | const

void Glom::LayoutItem_FieldSummary::set_field | ( | const sharedptr< LayoutItem_Field >& | field | ) |

void Glom::LayoutItem_FieldSummary::set_summary_type | ( | summaryType | summary_type | ) |

void Glom::LayoutItem_FieldSummary::set_summary_type_from_sql | ( | const Glib::ustring & | summary_type | ) |

This is used when loading the XML document, because we use get_summary_type_sql() when writing it.

The documentation for this class was generated from the following file:

- libglom/data_structure/layout/report_parts/layoutitem_fieldsummary.h